Data rooms
Investor data rooms. Authorization: Bearer ak_.... Required scope includes read:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fundraising/data-rooms?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Create a data room for a round. Authorization: Bearer ak_.... Required scope includes write:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fundraising/data-rooms?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}One data room. Authorization: Bearer ak_.... Required scope includes read:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/fundraising/data-rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Patch room settings. Authorization: Bearer ak_.... Required scope includes write:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/fundraising/data-rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}Access grants for a data room. Authorization: Bearer ak_.... Required scope includes read:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fundraising/data-rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Grant access to a data room. Authorization: Bearer ak_.... Required scope includes write:sales. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/fundraising/data-rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}